[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]

[or-cvs] r20403: {torbrowser} Update the helper script again. It still doesn't work. Firef (torbrowser/trunk/build-scripts)



Author: ioerror
Date: 2009-08-27 21:02:21 -0400 (Thu, 27 Aug 2009)
New Revision: 20403

Modified:
   torbrowser/trunk/build-scripts/configure-firefox.sh
Log:
Update the helper script again. It still doesn't work. Firefox is angry with me. Or perhaps I'm angry with it.


Modified: torbrowser/trunk/build-scripts/configure-firefox.sh
===================================================================
--- torbrowser/trunk/build-scripts/configure-firefox.sh	2009-08-28 00:47:46 UTC (rev 20402)
+++ torbrowser/trunk/build-scripts/configure-firefox.sh	2009-08-28 01:02:21 UTC (rev 20403)
@@ -7,14 +7,16 @@
 ##
 
 STARTDIR="`pwd`";
-BUNDLE=$1
+BUNDLE="$1";
+echo "BUNDLE is: $BUNDLE"
 EXTENSION=$2;
-HOME="`pwd`"/$BUNDLE;
-export $HOME;
 
-FIREFOX=./App/firefox/firefox
-FIREFOX_ARGS=-install-global-extension
-cd $HOME;
+FIREFOX="./App/firefox/firefox";
+FIREFOX_ARGS="-profile firefox -install-global-extension $EXTENSION";
+cd "$BUNDLE";
+export HOME=$PWD;
 echo "We're now in $PWD"
 echo "Attempting to run: $FIREFOX $FIREFOX_ARGS";
+$FIREFOX $FIREFOX_ARGS;
+echo "Firefox said: $?";
 echo